<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="person-age">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Formulario de Persona:</h2>
    <div>
      Nombre:<input type="text" value="{{name::input}}"/>
    </div>
    <div>
      Edad:<input type="date" value="{{age::input}}"/>
    </div>
  </template>

  <script>
    /**
     * `person-age`
     * form by name person and age
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class PersonAge extends Polymer.Element {
      static get is() { return 'person-age'; }
      static get properties() {
        return {
          name: {
            type: String,
            value: '',
            notify: true
          },
          age: {
            type: String,
            value: '',
            notify: true
          }
        };
      }
    }

    window.customElements.define(PersonAge.is, PersonAge);
  </script>
</dom-module>
